body {
  box-sizing: border-box;
}

.container {
  margin: 0 auto;
  max-width: 1200px;
}

.Header {
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  .bucket-icon {
    display: block;
  }
}

.heart-icon {
  position: absolute;
  top: 10px;
  right: 16px;
  z-index: 3;
  width: 28px;
  height: 28px;
}

.Button {
  padding: 14px 10px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  color: white;
}
.Modal-wrapper {
  z-index: 9999;
  position: fixed;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #282c34e1;
}

body:has(.Modal-wrapper) {
  overflow: hidden;
}

.header-icons {
  display: flex;
  align-items: center;
  justify-content: center;
}

.Modal {
  width: 516px;
  background-color: #ffffff;
  border-radius: 10px;
  overflow: hidden;
  &-header {
    background-color: #dbdbdb;
    padding: 0 20px;
    font-size: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    &-close-btn {
      cursor: pointer;
      background: none;
      border: none;
      color: rgb(110, 110, 110);
      font-size: 26px;
    }
  }
  &-text {
    text-align: center;
    padding: 0 36px;
    font-size: 20px;
  }
  &-submit-btns {
    display: flex;
    justify-content: center;
    padding-bottom: 20px;
    :nth-child(-n + 2) {
      padding: 10px 32px;
    }
    :first-child {
      margin-right: 10px;
    }
  }
}
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
}

.Goods-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.product-card {
  max-width: 280px;
  padding: 10px;
  &-image img {
    width: 100%;
  }
  &-image {
    display: block;
    text-decoration: none;
    color: black;
    position: relative;
  }
  &-name {
    display: block;
  }

  &-price {
    display: block;
  }

  &-price::after {
    content: ' грн';
  }

  &-color {
    display: block;
  }
}
